#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define		pdir	Hash
%define		pnam	MultiValue
%include	/usr/lib/rpm/macros.perl
Summary:	Hash::MultiValue - Store multiple values per key
Name:		perl-Hash-MultiValue
Version:	0.16
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Hash/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	508015312eb08cd2bcea987c4efbb93d
URL:		http://search.cpan.org/dist/Hash-MultiValue/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Hash::MultiValue is an object (and a plain hash reference) that may
contain multiple values per key, inspired by MultiDict of WebOb.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Hash/*.pm
%{_mandir}/man3/*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Hash-MultiValue.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 19d9389
- up to 0.16

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 166aec3
- use generic url

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> 7f0b28a
- up to 0.10

* Wed May 11 2011 aredridel <aredridel@pld-linux.org> 38caa21
- added

